#include <stdio.h>
#include <unistd.h>
#include <err.h>
#include <math.h>

char *argv0;

static void
usage()
{
	printf("usage: %s factor time\n", argv0);
	puts("where time is in format MM:SS");
}

int
main(int argc, char **argv)
{
	double factor;
	int min, sec, sec_equiv;
	argv0 = *argv;

#ifdef __OpenBSD__
	if (pledge("stdio", NULL) == -1)
		err(1, "pledge");
#endif

	if (argc != 3) {
		usage();
		errx(1, "incorrect arguments");
	}

	if (sscanf(argv[1], "%lg", &factor) != 1)
		errx(2, "could not parse FACTOR");
	if (sscanf(argv[2], "%d:%d", &min, &sec) != 2)
		errx(2, "could not parse TIME in MM:SS format");

	sec_equiv = min * 60 + sec;

	printf("%d:%02d\n",
	       (int)(sec_equiv*factor/60.0),
	       (int)(sec_equiv*factor)%60);

	return 0;
}
